Page MenuHomePhabricator

Quick survey breaks h2 and infobox positioning
Closed, ResolvedPublic

Description

Contains the following fragment:

@media all and (min-width:768px){.ext-qs-loader-bar,.ext-quick-survey-panel{margin-left:1.4em;width:300px;clear:right;float:right}.infobox,.last-modified-bar,h2{clear:both}}"

This forces h2 AND the infobox to clear, which is NOT as expected. See for instance:
https://en.wikipedia.org/wiki/Cliff_Robertson

https://en.wikipedia.org/wiki/Edmond_Hamilton

Please remove the clear:both from both the infobox and the h2 and find a different way to achieve the desired result.

Event Timeline

TheDJ created this task.Nov 12 2015, 5:07 PM
TheDJ raised the priority of this task from to Unbreak Now!.
TheDJ updated the task description. (Show Details)
TheDJ added a project: QuickSurveys.
TheDJ added a subscriber: TheDJ.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 12 2015, 5:07 PM
TheDJ renamed this task from Quick survey breaks h2 positioning to Quick survey breaks h2 and infobox positioning.Nov 12 2015, 5:17 PM
TheDJ updated the task description. (Show Details)
TheDJ set Security to None.
TheDJ updated the task description. (Show Details)Nov 12 2015, 5:22 PM
jhobs updated the task description. (Show Details)
mb added a subscriber: mb.Nov 12 2015, 6:09 PM

Change 252736 had a related patch set uploaded (by Jhobs):
Fix clear:both breaking pages

https://gerrit.wikimedia.org/r/252736

Change 252736 merged by jenkins-bot:
Fix clear:both breaking pages

https://gerrit.wikimedia.org/r/252736

The fix above has been scheduled for the evening SWAT.

TheDJ added a comment.Nov 12 2015, 8:33 PM

For those less familiar with the operations. SWAT are the two workday timeslots in which 'out-of-band' deploys to the WMF websites are made.

I have made a temporary fix to the English Wikipedia:
https://en.wikipedia.org/w/index.php?title=MediaWiki:Common.css&diff=690352708&oldid=688903518
It adds this:
.infobox,
.last-modified-bar,
h2 {

clear: none !important;

}

I have made a temporary fix to the English Wikipedia

Note that this temporary fix was quickly undone:
https://en.wikipedia.org/w/index.php?title=MediaWiki:Common.css&diff=690356871&oldid=690352708

Yeah, I removed that, as it !forced any clears to none, which interfered with some templates.

Change 252874 had a related patch set uploaded (by Catrope):
Fix clear:both breaking pages

https://gerrit.wikimedia.org/r/252874

Change 252874 merged by Catrope:
Fix clear:both breaking pages

https://gerrit.wikimedia.org/r/252874

The fix appears to be working nicely - thank you!

There was a temporary fix applied that can be removed now that this has been deployed. Thank you to whoever applied that!

phuedx closed this task as Resolved.Nov 13 2015, 9:33 AM
phuedx added a subscriber: phuedx.

The fix appears to be working nicely - thank you!

Thanks for confirming that the fix works @Mike_Peel. I've also just double-checked myself.

Change 254184 had a related patch set uploaded (by Legoktm):
Fix clear:both breaking pages

https://gerrit.wikimedia.org/r/254184

Change 254186 had a related patch set uploaded (by Legoktm):
Fix clear:both breaking pages

https://gerrit.wikimedia.org/r/254186

Legoktm reopened this task as Open.Nov 19 2015, 8:11 PM
Legoktm added subscribers: 20after4, Legoktm.

This was not merged to master and regressed again when the train went out today. @20after4 is backporting it right now.

Change 254184 merged by Legoktm:
Fix clear:both breaking pages

https://gerrit.wikimedia.org/r/254184

Change 254186 merged by jenkins-bot:
Fix clear:both breaking pages

https://gerrit.wikimedia.org/r/254186

Patch has been deployed.

Legoktm closed this task as Resolved.Nov 19 2015, 8:25 PM

Thanks @mmodell. I've also backported this into master so we don't regress again in wmf.8.

It looks like the fix is working properly again - thank you! :-)

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJun 11 2018, 8:23 PM